Bug 206673 - irc/quassel: Add optional rc var to specify the --listen argument.
Summary: irc/quassel: Add optional rc var to specify the --listen argument.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-01-27 13:22 UTC by Christian Schwarz
Modified: 2016-02-15 11:38 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback? (makc)
koobs: merge-quarterly?


Attachments
quasselcore: Add optional rc var to specify the --listen argument. (1.05 KB, patch)
2016-01-27 13:22 UTC, Christian Schwarz
no flags Details | Diff
Patch for rc script and bump in PORTREVISION. (1.34 KB, patch)
2016-02-02 10:06 UTC, Christian Schwarz
me: maintainer-approval? (makc)
Details | Diff
portlint -C output. (249 bytes, text/plain)
2016-02-02 10:07 UTC, Christian Schwarz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Schwarz 2016-01-27 13:22:01 UTC
Created attachment 166186 [details]
quasselcore: Add optional rc var to specify the --listen argument.

Currently, in a jail, quasselcore binds to the first IPv4 address it finds and not to any IPv6 address.

Furthermore, the admin has no way to specify the IP address to which quasselcore should bind.

There is a '--listen' argument to quasselcore that allows specifying a list of comma-separated IPv4/6 addresses.

The SVN diff attached to this bug report adds an rc variable for this argument, defaulting to '0.0.0.0,::'.

This will make quasselcore listen on all IPv4/IPv6 addresses it can bind to.

Note that the SVN diff does not include a bump of PORTREVISION. Should I add this?
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2016-02-02 09:29:04 UTC
(In reply to me from comment #0)

@Christian, yes, please bump PORTREVISION, as the package contents changes, with an updated rc script with new feature
Comment 2 Christian Schwarz 2016-02-02 10:06:43 UTC
Created attachment 166423 [details]
Patch for rc script and bump in PORTREVISION.
Comment 3 Christian Schwarz 2016-02-02 10:07:55 UTC
Created attachment 166424 [details]
portlint -C output.
Comment 4 Max Brazhnikov freebsd_committer 2016-02-08 21:59:50 UTC
(In reply to Christian Schwarz from comment #0)
> Created attachment 166186 [details]
> quasselcore: Add optional rc var to specify the --listen argument.
> 
> Currently, in a jail, quasselcore binds to the first IPv4 address it finds
> and not to any IPv6 address.
> 
> Furthermore, the admin has no way to specify the IP address to which
> quasselcore should bind.

You can override the quasselcore_args to achieve this, isn't it enough? I could add quasselcore_listen of course, but I would like to avoid introducing rc vars for every optional argument of quasselcore.
Comment 5 Christian Schwarz 2016-02-08 23:22:36 UTC
(In reply to Max Brazhnikov from comment #4)

Yes, you are right, one could just override the _args variable.

However, here are my arguments in favor of a dedicated (optional!) _listen variable.

A)
The port maintainer looses flexibility in the long run. Users who override the _args variable just for --listen will not receive other changes to the launch arguments in future versions of the port.

B)
The default listening behavior of quasselcore is not optimal by today's standards.
Only IPv4 is supported if `--listen` is not specified.
We should support IPv6 wherever we can, in particular if it is so easy.
Hence, if we need to specify `--listen` in _args, we might as well factor it out into a dedicated rc variable to support flexibility (-> A).

In addition:

c) there is no change for existing port users
d) I think binding to every interface is expected default behavior for quasselcore.

Hence, I (naturally) vote in favor of my patch.

I hope you reconsider,

Christian
Comment 6 commit-hook freebsd_committer 2016-02-15 11:24:08 UTC
A commit references this bug:

Author: makc
Date: Mon Feb 15 11:23:34 UTC 2016
New revision: 408922
URL: https://svnweb.freebsd.org/changeset/ports/408922

Log:
  irc/quassel:
  - Add rc var to specify IP address quasselcore will listen on

  PR:		206673
  Submitted by:	Christian Schwarz

Changes:
  head/irc/quassel/Makefile
  head/irc/quassel/files/quasselcore.in
Comment 7 Max Brazhnikov freebsd_committer 2016-02-15 11:38:05 UTC
(In reply to Christian Schwarz from comment #5)
> I hope you reconsider,

Not that I'm against the patch, just wanted to see more justification for it. Committed, thanks!